Subject: Re: make and .exe targets
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "J. J. Farrell" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Fri, 5 Feb 1999 15:38:02 -0500

If ld can be execuated from command line and make.exe has problems
then it is a configuration problem -- if you can also refresh you UNIX
knowledge.
What he got a serious configuration problem :not an unfortunate
configuration as you
are trying explain.

Now go way and try to figure out what environment variables means.

Bye

This is getting increasingly silly!
>
>> From: "Suhaib M. Siddiqi" <[email-masked]>
>>
>> You have a problem with your environment.  Therefore make is unable
to
>> ld.exe.
>> Read my previous message on how to define $PATH.
>
>I don't see how $PATH could be involved. ld is executing correctly, but
>it's reporting a problem with the output file.
>
>> Cygwin is a UNIX like environment.  Therefore, to use it effectively
you
>> should have some
>> knowledge of UNIX.
>
>John said that he has developed on AIX.
>
>> When I use your posted Makefile, I get "missing separator" error.  I
do
>> not get ld.exe not found error.
>> Missing separator error means there is a problem with your Makefile.
>
>I can't see anything wrong with the makefile. Your "missing separator"
>error is likely to be because you used spaces where a tab is needed
>when you copied John's makefile.
>
>> Cygwin follows UNIX rules
>> not AIX.  You can download a source code for SUN, SGI or LINUX, look
>> carefully on the Makefile and you
>> will know how to write a Makefile for a UNIX system.  That makefile
will
>> work under Cygwin too.
>
>AIX is as much a version of UNIX as SunOS and IRIX, and (technically)
>more so than LINUX.
>
>There is no evidence of any problem with the makefile. The problem is
>that ld has trouble with its output file when invoked via make. I've
>no idea why, unfortunately.
>
>

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]